/*
 * $Id: bus.c,v 1.2 2007/10/16 20:42:56 init Exp $
 */
#include <sys/types.h>
#include <sys/device.h>
#include <sys/bus.h>

#include <libkern/printf.h>

/*
 * Bus abstraction wrapper functions.
 */

uint8_t
bus_read_1(struct bus_handle *bhp, uint32_t addr)
{
	/* XXX we may use bus locking here */

	return(bhp->bus_read_1(bhp->bh_ownerdd, addr));
}


uint16_t
bus_read_2(struct bus_handle *bhp, uint32_t addr)
{
	return(bhp->bus_read_2(bhp->bh_ownerdd, addr));
}


uint32_t
bus_read_4(struct bus_handle *bhp, uint32_t addr)
{
	return(bhp->bus_read_4(bhp->bh_ownerdd, addr));
}


int
bus_write_1(struct bus_handle *bhp, uint32_t addr, uint8_t data)
{
	return(bhp->bus_write_1(bhp->bh_ownerdd, addr, data));
}

int
bus_write_2(struct bus_handle *bhp, uint32_t addr, uint16_t data)
{
	return(bhp->bus_write_2(bhp->bh_ownerdd, addr, data));
}

int
bus_write_4(struct bus_handle *bhp, uint32_t addr, uint32_t data)
{
	return(bhp->bus_write_4(bhp->bh_ownerdd, addr, data));
}

